Package com.emc.d2fs.interfaces

# Interface IReferenceService

All Superinterfaces:
  `ID2fsService`

public interface IReferenceService extends ID2fsService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINDING_RULE_EXACT_ID`
  `static final String`
  `BINDING_RULE_VERSION_LABEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addReference(Context sourceContext, String sourceId, Context targetContext, String targetFolderId, String bindingRule, String bindingValue)`
  Add a reference to the object in another folder.
  `boolean`
  `isDialogRequired(Context context, String id)`
  Check if dialog is required for display before reference add

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Field Details

  - ### BINDING_RULE_EXACT_ID

    static final String BINDING_RULE_EXACT_ID
    See Also:
      - Constant Field Values

  - ### BINDING_RULE_VERSION_LABEL

    static final String BINDING_RULE_VERSION_LABEL
    See Also:
      - Constant Field Values

- ## Method Details

  - ### addReference

    String addReference(Context sourceContext, String sourceId, Context targetContext, String targetFolderId, String bindingRule, String bindingValue) throws Exception
    Add a reference to the object in another folder. This folder is in another repository.
    Parameters:
      `source` - context `Context` object containing informations about source client/session.
      `sourceId` - String value of an Document object ID. Source object ID.
      `target` - context `Context` object containing informations about target client/session.
      `targetFolderId` - String value of an Document object ID. Folder destination ID.
      `bindingRule` - String VERSION_LABEL or EXACT_ID
      `bindingValue` - String value for the VERSION_LABEL otherwise it is not used
    Returns:
      String Documentum object ID of the "linked object".
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### isDialogRequired

    boolean isDialogRequired(Context context, String id) throws Exception
    Check if dialog is required for display before reference add
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
    Returns:
      true if dialog is required (when id is the current version - false otherwise)
    Throws:
      `Exception`
    Since:
      4.2.1